<?php

/**
* @author: GavickPro
* @copyright: 2008
**/

	/**
		Glowny kod programu
	**/	
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');
	
	/*
		Regulacja odpowiadajaca za wybor zadania
		do wykonania
	*/
		
	//$task = (isset($_POST['task'])) ? $_POST['task'] : $_GET['task'];	
	$task = JRequest::getCmd( 'task' );
		
	switch($task){

		/*
			Pokazywanie danej grupy
		*/
			
		case 'view_group':
			// załączenie pliku z klasą do obsługi grup
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.groups.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$groups = new Groups();
			$plugin = '';
			$gid = 0;
			// zainicjalizowanie zmiennych
			$rows = $groups->viewGroup($plugin, $gid);
			// zaladowanie widoku przypisanego do tego zdarzenia
			require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'view.group.php');
		break;
		
		/*
			Pokazywanie formularza dodawania grupy
		*/
			
		case 'add_group':
			// załadowanie odpowiedniego widoku
			if(isset($_GET['step'])){
				// załadowanie nazwy plugina
				$plugin	= JRequest::getCmd('plugin');
				// załączenie pliku z klasą do obsługi plugina
				require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
				// obsluga - stworzenie nowej instancji załadowanej klasy
				$pluginClass = new GKPlugin();
				// załadowanie formularza
				require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'add.group.php');
			}else{
				// gdy nie wybrano jeszcze plugina
				// załaduj listę pluginów do wyboru
				
				$db =& JFactory::getDBO();
				$db->setQuery( "SELECT phpclassfile AS value, name AS text FROM #__gk_photoslide_plugins WHERE status = 1 ORDER BY id ASC" );
				$plugins = $db->loadObjectList();
				require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'add.group.php');
			}
		break;
				
		/*
			Zapisywanie grupy
		*/	
				
		case 'save_group':
			// załadowanie nazwy plugina
			$plugin	= JRequest::getCmd('plugin');
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// wykonanie operacji
			$pluginClass->addGroup();
		break;
		
		/*
			Anulowanie operacji dodawania/edycji grupy
		*/	
					
		case 'cancel_group':
			global $mainframe;
				
			$option	= JRequest::getCmd('option');
			$client	=& JApplicationHelper::getClientInfo(JRequest::getVar('client', '0', '', 'int'));
			// przekierowanie z komunikatem
			$mainframe->redirect('index.php?option='.$option.'&client='.$client->id.'&task=view_groups', JText::_('Previous action has been canceled...'), 'notice');
		break;
			
		/*
			Ładowanie formularza edycji grupy
		*/			
				
		case 'edit_group':
			// załadowanie nazwy plugina
			$db =& JFactory::getDBO();
		
			$cid    = JRequest::getVar( 'cid', array(0), '', 'array' );
		
			$query = 'SELECT p.phpclassfile AS phpclassfile FROM #__gk_photoslide_groups AS g LEFT JOIN #__gk_photoslide_plugins AS p ON g.plugin = p.name WHERE g.id='.$cid[0].';';
			$db->setQuery($query);
		
			foreach($db->loadObjectList() as $r){
				$plugin = $r->phpclassfile;
			}
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// załadowanie formularza
			require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'edit.group.php');
		break;
		
		/*
			Zapisywanie wyedytowanej grupy
		*/
			
		case 'apply_group':
			// załadowanie nazwy plugina
			$plugin	= JRequest::getCmd('plugin');
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// wykonanie operacji
			$pluginClass->editGroup();
		break;
			
		/*
			Usuwanie grupy
		*/	
			
		case 'delete_group':
			// załadowanie nazwy plugina
			$db =& JFactory::getDBO();
		
			$cid    = JRequest::getVar( 'cid', array(0), '', 'array' );
			
			$query = 'SELECT p.phpclassfile AS phpclassfile FROM #__gk_photoslide_groups AS g LEFT JOIN #__gk_photoslide_plugins AS p ON g.plugin = p.name WHERE g.id='.$cid[0].';';
			$db->setQuery($query);
		
			foreach($db->loadObjectList() as $r) $plugin = $r->phpclassfile;
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// wykonanie operacji
			$pluginClass->deleteGroup();
		break;
				
		/*
			Formularz dodawania slajdu
		*/	
			
		case 'add_slide':
			// załadowanie nazwy plugina
			$plugin	= JRequest::getCmd('plugin');
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// wczytanie numeru grupy
			$gid = JRequest::getString( 'gid', '', 'get' );
			// załadowanie formularza
			require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'add.slide.php');
		break;
		
		/*
			Zapisywanie slajdu
		*/
			
		case 'save_slide':
			// załadowanie nazwy plugina
			$plugin	= JRequest::getCmd('plugin');
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// wykonanie operacji
			$pluginClass->addSlide();
		break;
				
		/*
			Anulowanie operacji dodawania/edycji slajdu
		*/	
			
		case 'cancel_slide':
			global $mainframe;
				
			$option	= JRequest::getCmd('option');
			$gid = JRequest::getString( 'gid', '', 'post' );
			$client	=& JApplicationHelper::getClientInfo(JRequest::getVar('client', '0', '', 'int'));
			// przekierowanie z komunikatem
			$mainframe->redirect('index.php?option='.$option.'&client='.$client->id.'&task=view_group&cid='.$gid, JText::_('Previous action has been canceled...'), 'notice');
		break;
	
		/*
			Formularz edytowanie slajdu
		*/
					
		case 'edit_slide':
			// załadowanie nazwy plugina
			$plugin	= JRequest::getCmd('plugin');
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// wczytanie numeru grupy
			$gid = JRequest::getString( 'gid', '', 'get' );
			// załadowanie formularza
			require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'edit.slide.php');
		break;
			
		/*
			Edytowanie slajdu
		*/	
			
		case 'apply_slide':
			// załadowanie nazwy plugina
			$plugin	= JRequest::getCmd('plugin');
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// wykonanie operacji
			$pluginClass->editSlide();
		break;
		
		/*
			Usuwanie slajdu
		*/
			
		case 'delete_slide':
			// załadowanie nazwy plugina
			$plugin	= JRequest::getCmd('plugin');
			// załączenie pliku z klasą do obsługi plugina
			require_once(JPATH_COMPONENT.DS.'configuration'.DS.$plugin);
			// obsluga - stworzenie nowej instancji załadowanej klasy
			$pluginClass = new GKPlugin();
			// wykonanie operacji
			$pluginClass->deleteSlide();
		break;
		
		/*
			Zapisywanie kolejności slajdów
		*/
			
		case 'saveorder':
			// załączenie pliku z klasą do obsługi grup
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.groups.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$groups = new Groups();
			// zapis zmian
			$groups->order();
		break;
			
		/*
			Prezentacja informacji o systemie komponentu
		*/
			
		case 'check_system':
			// załączenie pliku z klasą do obsługi systemu
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.system.control.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$systemcheck = new SystemControl();
			// zainicjalizowanie zmiennych powiazanych z baza danych
			$systemcheck->DBStatus();
			// zaladowanie widoku przypisanego do tego zdarzenia
			require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'system.check.php');
		break;
			
		/*
			Prezentacja listy zainstalowanych pluginow
		*/
			
		case 'view_plugin':
			// załączenie pliku z klasą do obsługi pluginow
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.plugins.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$plugins = new Plugins();
			// Zaprezentowanie danych
			$plugins->viewPlugins();
		break;

		/*
			Prezentacja formularza dodawania plugina
		*/
			
		case 'add_plugin':
			// załączenie pliku z klasą do obsługi pluginow
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.plugins.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$plugins = new Plugins();
			// Wykonanie operacji
			$plugins->addPlugin();
		break;

		/*
			Akcja zapisu pluginu
		*/
			
		case 'save_plugin':
			// załączenie pliku z klasą do obsługi pluginow
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.plugins.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$plugins = new Plugins();
			// Wykonanie operacji
			$plugins->savePlugin();
		break;
		
		/*
			Akcja anulowania dodawania pluginu
		*/
			
		case 'cancel_plugin':
			global $mainframe;
				
			$option	= JRequest::getCmd('option');
			$client	=& JApplicationHelper::getClientInfo(JRequest::getVar('client', '0', '', 'int'));
			// przekierowanie z komunikatem
			$mainframe->redirect('index.php?option='.$option.'&client='.$client->id.'&task=view_plugin', JText::_('Previous action has been canceled...'), 'notice');
		break;

		/*
			Akcja wlanczania pluginu
		*/
			
		case 'enable_plugin':
			// załączenie pliku z klasą do obsługi pluginow
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.plugins.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$plugins = new Plugins();
			// Zaprezentowanie danych
			$plugins->enablePlugin();		
		break;
		
		/*
			Akcja wylaczania pluginu
		*/
			
		case 'disable_plugin':
			// załączenie pliku z klasą do obsługi pluginow
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.plugins.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$plugins = new Plugins();
			// Zaprezentowanie danych
			$plugins->disablePlugin();
		break;
			
		/*
			Akcja deinstalacji pluginu
		*/			
				
		case 'delete_plugin':
			// załączenie pliku z klasą do obsługi pluginow
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.plugins.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$plugins = new Plugins();
			// Zaprezentowanie danych
			$plugins->deletePlugin();
		break;	
		
		/*
			Prezentacja helpa
		*/
		
		case 'help':
			// zaladowanie widoku przypisanego do tego zdarzenia
			require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'help.php');
		break;

		/*
			Prezentacja informacji
		*/
			
		case 'info':
			// zaladowanie widoku przypisanego do tego zdarzenia
			require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'info.php');
		break;
		
		/*
			Zadanie domyslne - prezentacja wszystkich grup
		*/		
			
		default:
			// załączenie pliku z klasą do obsługi grup
			require_once(JPATH_COMPONENT.DS.'controllers'.DS.'class.groups.php');
			// stworzenie nowej instancji klasy zawartej w ladowanym pliku
			$groups = new Groups();
			// zainicjalizowanie zmiennych
			$rows = $groups->viewGroups();
			// zaladowanie widoku przypisanego do tego zdarzenia
			require_once(JPATH_COMPONENT.DS.'views'.DS.'admin'.DS.'view.groups.php');
		;break;
	}	
	
?>