<?php

/**
* @author: GavickPro
* @copyright: 2008
**/

/**
	Plik szablonu dla zadania system_check
	
	Powiazany z klasa SystemControl, ktora 
	udostepnia najwazniejsze z uzytych w tym pliku
	metod		
**/

// no direct access
defined('_JEXEC') or die('Restricted access');

?>

<h2>System information</h2>

<p>Component version: <?php echo $systemcheck->version; ?></p>

<p>All follow fields must be green to component correctly works.</p>

<p>GD extension status: <?php $systemcheck->GDStatus(); ?></p>

<h3>Catalogs permissions</h3>

<table class="adminlist">
	<thead>
		<tr>
			<th width="4%" class="title" align="center">#</th>
			<th width="48%" class="title" align="center">Catalog</th>
			<th width="48%" class="title" align="center">Permissions</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td align="center">1</td>
			<td align="center">images/</td>
			<td align="center"><?php $systemcheck->folderStatus('images'); ?></td>
		</tr>
		<tr>
			<td align="center">2</td>
			<td align="center">images/thumbm/</td>
			<td align="center"><?php $systemcheck->folderStatus('images/thumbm'); ?></td>
		</tr>
		<tr>
			<td align="center">3</td>
			<td align="center">images/thumbs/</td>
			<td align="center"><?php $systemcheck->folderStatus('images/thumbs'); ?></td>
		</tr>
		<tr>
			<td align="center">4</td>
			<td align="center">configuration/</td>
			<td align="center"><?php $systemcheck->folderStatus('configuration'); ?></td>
		</tr>
	</tbody>
</table>

<h3>Database tables status</h3>	

<table class="adminlist">
	<thead>
		<tr>
			<th width="4%" class="title" align="center">#</th>
			<th width="48%" class="title" align="center">Table</th>
			<th width="48%" class="title" align="center">Exist in database ?</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td align="center">1</td>
			<td align="center"><?php echo $systemcheck->prefix; ?>gk_photoslide_groups</td>
			<td align="center"><?php $systemcheck->DBTableStatus('gk_photoslide_groups');?></td>
		</tr>
		<tr>
			<td align="center">2</td>
			<td align="center"><?php echo $systemcheck->prefix; ?>gk_photoslide_slides</td>
			<td align="center"><?php $systemcheck->DBTableStatus('gk_photoslide_slides');?></td>
		</tr>
		<tr>
			<td align="center">3</td>
			<td align="center"><?php echo $systemcheck->prefix; ?>gk_photoslide_plugins</td>
			<td align="center"><?php $systemcheck->DBTableStatus('gk_photoslide_plugins');?></td>
		</tr>
	</tbody>
</table>